-----------------------------------------------------------------------------------------
-- Start Activity
-----------------------------------------------------------------------------------------

function LongLandM:StartActivity()
	print("START! -- LongLandM:StartActivity()!");
	
	self.braindead = {};
	self.AssignedBrains = {};
	self.MOIDLimit = 200;
    
	self.PlayerGold = 0; -- Player starting credits

   	self.CPUTeam = Activity.TEAM_2;
	self.PlayerTeam = Activity.TEAM_1;
	self.RogueTeam = -1;

	for player = 0, self.PlayerCount - 1 do
        if not self:GetPlayerBrain(player) then
			self.braindead[player] = false;
			local brain = CreateAHuman("Brain Robot");
			brain.Pos = Vector(300 + player * 30 , 550);
			brain:AddInventoryItem(CreateHDFirearm("Auto Pistol" , "Coalition.rte"));
			brain.AIMode = Actor.AIMODE_SENTRY;
			self.AssignedBrains[player] = brain;

            MovableMan:AddActor(brain);
            self:SetPlayerBrain(brain, player);
            SceneMan:SetScroll(self:GetPlayerBrain(player).Pos, player);
            self:SetObservationTarget(self:GetPlayerBrain(player).Pos, player);
        end
    end
	
    self:SetTeamFunds(self.PlayerGold , self.PlayerTeam);
end
-----------------------------------------------------------------------------------------
-- Pause Activity
-----------------------------------------------------------------------------------------
function LongLandM:PauseActivity(pause)
    print("PAUSE! -- LongLandM:PauseActivity()!");
end
-----------------------------------------------------------------------------------------
-- End Activity
-----------------------------------------------------------------------------------------
function LongLandM:EndActivity()
    print("END! -- LongLandM:EndActivity()!");
end
-----------------------------------------------------------------------------------------
-- Update Activity
-----------------------------------------------------------------------------------------
function LongLandM:UpdateActivity()
   	self:ClearObjectivePoints();

	self:DoBrainSelection();
	
	self:YSortObjectivePoints();
end
-----------------------------------------------------------------------------------------
-- Brain selection and gameover conditions check
-----------------------------------------------------------------------------------------
function LongLandM:DoBrainSelection()
	if not (self.ActivityState == Activity.OVER) then
		for player = 0, self.PlayerCount - 1 do
			local team = self:GetTeamOfPlayer(player);
	
			local brain = self:GetPlayerBrain(player);
			if not brain or not MovableMan:IsActor(brain) or not brain:HasObjectInGroup("Brains") then
				self:SetPlayerBrain(nil, player);
				local newBrain = MovableMan:GetUnassignedBrain(team);
				if newBrain and self.braindead[player] == false then
					self:SetPlayerBrain(newBrain, player);
					self:SwitchToActor(newBrain, player, team);
				else
					FrameMan:SetScreenText("You died! hahahaha!", player, 333, -1, false);
					self.braindead[player] = true;
					
					if not MovableMan:GetClosestBrainActor(team) then
						self.WinnerTeam = self:OtherTeam(team);

						ActivityMan:EndActivity();
					end
				end
			else
				self:SetObservationTarget(brain.Pos, player)
			end -- 
		end --for
	end --if
end
